IntelliCAD 11.1 Object Library
ObliqueAngle Property
See Also 
Attribute Object : ObliqueAngle Property

Description

Sets or returns the oblique angle.

Property type

Read-write property

Syntax

Visual Basic
Public Property ObliqueAngle As Double

Example

Private Sub Oblique_Example()

     ' This example creates text and adds it to the drawing using the

     ' AddText method. It then obtains and resets the ObliqueAngle property.

     Dim icadDoc As IntelliCAD.Document

     Dim myText As String

     Dim textObj As IntelliCAD.Text

     Dim insPt As IntelliCAD.Point

     Dim height As Double

     Dim NewOblique As Double

     Set icadDoc = ActiveDocument

     Set insPt = Library.CreatePoint(0, 9)

     height = 5

     myText = "Test string for the AddText method"

     ' Add the Text object

     Set textObj = icadDoc.ModelSpace.AddText(myText, insPt, height)

     textObj.Update

     ThisDocument.Application.ZoomExtents

     MsgBox "Oblique Angle: " & textObj.ObliqueAngle

     NewOblique = InputBox("Type a new oblique angle (in radians):")

     textObj.ObliqueAngle = NewOblique

     textObj.Update

     ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.